## class SG_EXPORT osgUtx::TestRecord

> A TestRecord records the output of a given test case, ie.

### Public Methods

void start()
void stop()
void log(const TestFailureX& e)
void log(const TestErrorX& e)
void log(const std::exception& e)
void log(const std::string& s)

## Documentation

> A TestRecord records the output of a given test case, ie. its start/stop time, its result, and a textual description of any problems.

> \todo Consider adding accessor methods if necessary, to get the details stored in the TestRecord.

`void start()`

`void stop()`

`void log(const TestFailureX& e)`

`void log(const TestErrorX& e)`

`void log(const std::exception& e)`

`void log(const std::string& s)`

`Success`

`Failure`

`Error`

This class has no child classes.

Friends:
  class TestReport
  std::ostream& operator<<(std::ostream& o,const TestRecord& tr)

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.